<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFRow (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFRow (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFRow.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFRow.html" target="_top">Frames</a></li>
        <li><a href="XSSFRow.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFRow" class="title">Class XSSFRow</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFRow</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Comparable&lt;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
                                                   title="class in org.apache.poi.xssf.usermodel">XSSFRow</a>&gt;,
                        java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                 title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;, <a
                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFRow</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Row.html"
              title="interface in org.apache.poi.ss.usermodel">Row</a>, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFRow</a>&gt;</pre>
                <div class="block">High level representation of a row of a spreadsheet.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.usermodel.Row">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                        title="interface in org.apache.poi.ss.usermodel">Row</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                         title="enum in org.apache.poi.ss.usermodel">Row.MissingCellPolicy</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#XSSFRow-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRow-org.apache.poi.xssf.usermodel.XSSFSheet-">XSSFRow</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRow&nbsp;row,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                       title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a>&nbsp;sheet)</code>
                                    <div class="block">Construct a XSSFRow.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#cellIterator--">cellIterator</a></span>()</code>
                                    <div class="block">Cell iterator over the physically defined cells:
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#compareTo-org.apache.poi.xssf.usermodel.XSSFRow-">compareTo</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRow</a>&nbsp;other)</code>
                                    <div class="block">Compares two <code>XSSFRow</code> objects.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#copyRowFrom-org.apache.poi.ss.usermodel.Row-org.apache.poi.ss.usermodel.CellCopyPolicy-">copyRowFrom</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                        title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;srcRow,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                       title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a>&nbsp;policy)</code>
                                    <div class="block">Copy the cells from srcRow to this row
                                        If this row is not a blank row, this will merge the two rows, overwriting
                                        the cells in this row with the cells in srcRow
                                        If srcRow is null, overwrite cells in destination row with blank values, styles,
                                        etc per cell copy policy
                                        srcRow may be from a different sheet in the same workbook
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#createCell-int-">createCell</a></span>(int&nbsp;columnIndex)</code>
                                    <div class="block">Use this to create new cells within the row and return it.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#createCell-int-org.apache.poi.ss.usermodel.CellType-">createCell</a></span>(int&nbsp;columnIndex,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                       title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</code>
                                    <div class="block">Use this to create new cells within the row and return it.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getCell-int-">getCell</a></span>(int&nbsp;cellnum)</code>
                                    <div class="block">Returns the cell at the given (0 based) index,
                                        with the <a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                                title="enum in org.apache.poi.ss.usermodel"><code>Row.MissingCellPolicy</code></a>
                                        from the parent Workbook.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getCell-int-org.apache.poi.ss.usermodel.Row.MissingCellPolicy-">getCell</a></span>(int&nbsp;cellnum,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                       title="enum in org.apache.poi.ss.usermodel">Row.MissingCellPolicy</a>&nbsp;policy)</code>
                                    <div class="block">Returns the cell at the given (0 based) index, with the specified
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                           title="enum in org.apache.poi.ss.usermodel"><code>Row.MissingCellPolicy</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst">
                                    <code>org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRow</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getCTRow--">getCTRow</a></span>()</code>
                                    <div class="block">Returns the underlying CTRow xml bean containing all cell
                                        definitions in this row
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getFirstCellNum--">getFirstCellNum</a></span>()</code>
                                    <div class="block">Get the 0-based number of the first cell contained in this row.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getHeight--">getHeight</a></span>()</code>
                                    <div class="block">Get the row's height measured in twips (1/20th of a point).</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getHeightInPoints--">getHeightInPoints</a></span>()</code>
                                    <div class="block">Returns row height measured in point size.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getLastCellNum--">getLastCellNum</a></span>()</code>
                                    <div class="block">Gets the index of the last cell contained in this row <b>PLUS
                                        ONE</b>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getOutlineLevel--">getOutlineLevel</a></span>()</code>
                                    <div class="block">Returns the rows outline level.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getPhysicalNumberOfCells--">getPhysicalNumberOfCells</a></span>()</code>
                                    <div class="block">Gets the number of defined cells (NOT number of cells in the
                                        actual row!).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getRowNum--">getRowNum</a></span>()</code>
                                    <div class="block">Get row number this row represents</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFCellStyle.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFCellStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getRowStyle--">getRowStyle</a></span>()</code>
                                    <div class="block">Returns the whole-row cell style.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getSheet--">getSheet</a></span>()</code>
                                    <div class="block">Returns the XSSFSheet this row belongs to</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getZeroHeight--">getZeroHeight</a></span>()</code>
                                    <div class="block">Get whether or not to display this row with 0 height</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#isFormatted--">isFormatted</a></span>()</code>
                                    <div class="block">Is this row formatted? Most aren't, but some rows
                                        do have whole-row styles.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#iterator--">iterator</a></span>()</code>
                                    <div class="block">Alias for <a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#cellIterator--"><code>cellIterator()</code></a>
                                        to allow foreach loops:
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#onDocumentWrite--">onDocumentWrite</a></span>()</code>
                                    <div class="block">Fired when the document is written to an output stream.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#removeCell-org.apache.poi.ss.usermodel.Cell-">removeCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">Remove the Cell from this row.</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#setHeight-short-">setHeight</a></span>(short&nbsp;height)</code>
                                    <div class="block">Set the height in "twips" or 1/20th of a point.</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#setHeightInPoints-float-">setHeightInPoints</a></span>(float&nbsp;height)</code>
                                    <div class="block">Set the row's height in points.</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#setRowNum-int-">setRowNum</a></span>(int&nbsp;rowIndex)</code>
                                    <div class="block">Set the row number of this row.</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">setRowStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                    <div class="block">Applies a whole-row cell styling to the row.</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#setZeroHeight-boolean-">setZeroHeight</a></span>(boolean&nbsp;height)</code>
                                    <div class="block">Set whether or not to display this row with 0 height</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#shift-int-">shift</a></span>(int&nbsp;n)</code>
                                    <div class="block">update cell references when shifting rows</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#shiftCellsLeft-int-int-int-">shiftCellsLeft</a></span>(int&nbsp;firstShiftColumnIndex,
                                    int&nbsp;lastShiftColumnIndex,
                                    int&nbsp;step)</code>
                                    <div class="block">Shifts column range [firstShiftColumnIndex-lastShiftColumnIndex]
                                        step places to the left.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#shiftCellsRight-int-int-int-">shiftCellsRight</a></span>(int&nbsp;firstShiftColumnIndex,
                                    int&nbsp;lastShiftColumnIndex,
                                    int&nbsp;step)</code>
                                    <div class="block">Shifts column range [firstShiftColumnIndex-lastShiftColumnIndex]
                                        step places to the right.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFRow-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRow-org.apache.poi.xssf.usermodel.XSSFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFRow</h4>
                                <pre>protected&nbsp;XSSFRow(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRow&nbsp;row,
                  <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                     title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a>&nbsp;sheet)</pre>
                                <div class="block">Construct a XSSFRow.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the xml bean containing all cell definitions for this row.
                                    </dd>
                                    <dd><code>sheet</code> - the parent sheet.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a>&nbsp;getSheet()</pre>
                                <div class="block">Returns the XSSFSheet this row belongs to</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Row.html#getSheet--">getSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the XSSFSheet that owns this row</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="cellIterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>cellIterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;&nbsp;cellIterator()</pre>
                                <div class="block">Cell iterator over the physically defined cells:
                                    <blockquote><pre>
 for (Iterator<Cell> it = row.cellIterator(); it.hasNext(); ) {
     Cell cell = it.next();
     ...
 }
 </pre>
                                    </blockquote>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#cellIterator--">cellIterator</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an iterator over cells in this row.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;&nbsp;iterator()</pre>
                                <div class="block">Alias for <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#cellIterator--"><code>cellIterator()</code></a>
                                    to allow foreach loops:
                                    <blockquote><pre>
 for(Cell cell : row){
     ...
 }
 </pre>
                                    </blockquote>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                            title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an iterator over cells in this row.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="compareTo-org.apache.poi.xssf.usermodel.XSSFRow-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>compareTo</h4>
                                <pre>public&nbsp;int&nbsp;compareTo(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRow</a>&nbsp;other)</pre>
                                <div class="block">Compares two <code>XSSFRow</code> objects. Two rows are equal if they
                                    belong to the same worksheet and
                                    their row indexes are equal.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>compareTo</code>&nbsp;in interface&nbsp;<code>java.lang.Comparable&lt;<a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFRow</a>&gt;</code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>other</code> - the <code>XSSFRow</code> to be compared.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>
                                        <ul>
                                            <li>
                                                the value <code>0</code> if the row number of this <code>XSSFRow</code>
                                                is
                                                equal to the row number of the argument <code>XSSFRow</code>
                                            </li>
                                            <li>
                                                a value less than <code>0</code> if the row number of this this <code>XSSFRow</code>
                                                is
                                                numerically less than the row number of the argument
                                                <code>XSSFRow</code>
                                            </li>
                                            <li>
                                                a value greater than <code>0</code> if the row number of this this
                                                <code>XSSFRow</code> is
                                                numerically greater than the row number of the argument
                                                <code>XSSFRow</code>
                                            </li>
                                        </ul>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if the argument row belongs to
                                        a different worksheet
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createCell-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFCell</a>&nbsp;createCell(int&nbsp;columnIndex)</pre>
                                <div class="block">Use this to create new cells within the row and return it.
                                    <p>
                                        The cell that is returned is a <a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellType.html#BLANK"><code>CellType.BLANK</code></a>.
                                        The type can be changed
                                        either through calling <code>setCellValue</code> or <code>setCellType</code>.
                                    </p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#createCell-int-">createCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - - the column number this cell represents</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Cell a high level representation of the created cell.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if columnIndex < 0 or greater
                                        than 16384,
                                        the maximum number of columns supported by the SpreadsheetML format (.xlsx)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createCell-int-org.apache.poi.ss.usermodel.CellType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFCell</a>&nbsp;createCell(int&nbsp;columnIndex,
                           <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                              title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</pre>
                                <div class="block">Use this to create new cells within the row and return it.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#createCell-int-org.apache.poi.ss.usermodel.CellType-">createCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - - the column number this cell represents</dd>
                                    <dd><code>type</code> - - the cell's data type</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>XSSFCell a high level representation of the created cell.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if the specified cell type is
                                        invalid, columnIndex < 0
                                        or greater than 16384, the maximum number of columns supported by the
                                        SpreadsheetML format (.xlsx)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCell-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFCell</a>&nbsp;getCell(int&nbsp;cellnum)</pre>
                                <div class="block">Returns the cell at the given (0 based) index,
                                    with the <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                            title="enum in org.apache.poi.ss.usermodel"><code>Row.MissingCellPolicy</code></a>
                                    from the parent Workbook.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getCell-int-">getCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cellnum</code> - 0 based column number</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cell at the given (0 based) index</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Row.html#getCell-int-org.apache.poi.ss.usermodel.Row.MissingCellPolicy-"><code>Row.getCell(int,
                                            org.apache.poi.ss.usermodel.Row.MissingCellPolicy)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCell-int-org.apache.poi.ss.usermodel.Row.MissingCellPolicy-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFCell</a>&nbsp;getCell(int&nbsp;cellnum,
                        <a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                           title="enum in org.apache.poi.ss.usermodel">Row.MissingCellPolicy</a>&nbsp;policy)</pre>
                                <div class="block">Returns the cell at the given (0 based) index, with the specified <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                        title="enum in org.apache.poi.ss.usermodel"><code>Row.MissingCellPolicy</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getCell-int-org.apache.poi.ss.usermodel.Row.MissingCellPolicy-">getCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cell at the given (0 based) index</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if cellnum &lt; 0 or the
                                        specified MissingCellPolicy is invalid
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFirstCellNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstCellNum</h4>
                                <pre>public&nbsp;short&nbsp;getFirstCellNum()</pre>
                                <div class="block">Get the 0-based number of the first cell contained in this row.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getFirstCellNum--">getFirstCellNum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>short representing the first logical cell in the row,
                                        or -1 if the row does not contain any cells.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastCellNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastCellNum</h4>
                                <pre>public&nbsp;short&nbsp;getLastCellNum()</pre>
                                <div class="block">Gets the index of the last cell contained in this row <b>PLUS ONE</b>.
                                    The result also
                                    happens to be the 1-based column number of the last cell. This value can be used as
                                    a
                                    standard upper bound when iterating over cells:
                                    <pre>
 short minColIx = row.getFirstCellNum();
 short maxColIx = row.getLastCellNum();
 for(short colIx=minColIx; colIx&lt;maxColIx; colIx++) {
   XSSFCell cell = row.getCell(colIx);
   if(cell == null) {
     continue;
   }
   //... do something with cell
 }
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getLastCellNum--">getLastCellNum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>short representing the last logical cell in the row <b>PLUS ONE</b>,
                                        or -1 if the row does not contain any cells.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeight</h4>
                                <pre>public&nbsp;short&nbsp;getHeight()</pre>
                                <div class="block">Get the row's height measured in twips (1/20th of a point). If the
                                    height is not set, the default worksheet value is returned,
                                    See
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#getDefaultRowHeightInPoints--"><code>XSSFSheet.getDefaultRowHeightInPoints()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Row.html#getHeight--">getHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>row height measured in twips (1/20th of a point)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeightInPoints--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeightInPoints</h4>
                                <pre>public&nbsp;float&nbsp;getHeightInPoints()</pre>
                                <div class="block">Returns row height measured in point size. If the height is not set,
                                    the default worksheet value is returned,
                                    See
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#getDefaultRowHeightInPoints--"><code>XSSFSheet.getDefaultRowHeightInPoints()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getHeightInPoints--">getHeightInPoints</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>row height measured in point size</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#getDefaultRowHeightInPoints--"><code>XSSFSheet.getDefaultRowHeightInPoints()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeight-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeight</h4>
                                <pre>public&nbsp;void&nbsp;setHeight(short&nbsp;height)</pre>
                                <div class="block">Set the height in "twips" or 1/20th of a point.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#setHeight-short-">setHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - the height in "twips" or 1/20th of a point.
                                        <code>-1</code> resets to the default height
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeightInPoints-float-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeightInPoints</h4>
                                <pre>public&nbsp;void&nbsp;setHeightInPoints(float&nbsp;height)</pre>
                                <div class="block">Set the row's height in points.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#setHeightInPoints-float-">setHeightInPoints</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - the height in points. <code>-1</code> resets to the
                                        default height
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPhysicalNumberOfCells--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPhysicalNumberOfCells</h4>
                                <pre>public&nbsp;int&nbsp;getPhysicalNumberOfCells()</pre>
                                <div class="block">Gets the number of defined cells (NOT number of cells in the actual
                                    row!).
                                    That is to say if only columns 0,4,5 have values then there would be 3.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getPhysicalNumberOfCells--">getPhysicalNumberOfCells</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>int representing the number of defined cells in the row.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowNum</h4>
                                <pre>public&nbsp;int&nbsp;getRowNum()</pre>
                                <div class="block">Get row number this row represents</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Row.html#getRowNum--">getRowNum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the row number (0 based)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRowNum-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRowNum</h4>
                                <pre>public&nbsp;void&nbsp;setRowNum(int&nbsp;rowIndex)</pre>
                                <div class="block">Set the row number of this row.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#setRowNum-int-">setRowNum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rowIndex</code> - the row number (0-based)</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if rowNum < 0 or greater than
                                        1048575
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getZeroHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getZeroHeight</h4>
                                <pre>public&nbsp;boolean&nbsp;getZeroHeight()</pre>
                                <div class="block">Get whether or not to display this row with 0 height</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getZeroHeight--">getZeroHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- height is zero or not.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setZeroHeight-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setZeroHeight</h4>
                                <pre>public&nbsp;void&nbsp;setZeroHeight(boolean&nbsp;height)</pre>
                                <div class="block">Set whether or not to display this row with 0 height</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#setZeroHeight-boolean-">setZeroHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - height is zero or not.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFormatted--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFormatted</h4>
                                <pre>public&nbsp;boolean&nbsp;isFormatted()</pre>
                                <div class="block">Is this row formatted? Most aren't, but some rows
                                    do have whole-row styles. For those that do, you
                                    can get the formatting from <a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#getRowStyle--"><code>getRowStyle()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#isFormatted--">isFormatted</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowStyle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFCellStyle.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFCellStyle</a>&nbsp;getRowStyle()</pre>
                                <div class="block">Returns the whole-row cell style. Most rows won't
                                    have one of these, so will return null. Call
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html#isFormatted--"><code>isFormatted()</code></a>
                                    to check first.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getRowStyle--">getRowStyle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRowStyle</h4>
                                <pre>public&nbsp;void&nbsp;setRowStyle(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</pre>
                                <div class="block">Applies a whole-row cell styling to the row.
                                    If the value is null then the style information is removed,
                                    causing the cell to used the default workbook style.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">setRowStyle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeCell-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeCell</h4>
                                <pre>public&nbsp;void&nbsp;removeCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block">Remove the Cell from this row.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#removeCell-org.apache.poi.ss.usermodel.Cell-">removeCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - the cell to remove</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTRow</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRow&nbsp;getCTRow()</pre>
                                <div class="block">Returns the underlying CTRow xml bean containing all cell definitions
                                    in this row
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the underlying CTRow xml bean</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="onDocumentWrite--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>onDocumentWrite</h4>
                                <pre>protected&nbsp;void&nbsp;onDocumentWrite()</pre>
                                <div class="block">Fired when the document is written to an output stream.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#write-java.io.OutputStream-"><code>()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>formatted xml representation of this row</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="shift-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>shift</h4>
                                <pre>protected&nbsp;void&nbsp;shift(int&nbsp;n)</pre>
                                <div class="block">update cell references when shifting rows</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>n</code> - the number of rows to move</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="copyRowFrom-org.apache.poi.ss.usermodel.Row-org.apache.poi.ss.usermodel.CellCopyPolicy-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>copyRowFrom</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;copyRowFrom(<a href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                     title="interface in org.apache.poi.ss.usermodel">Row</a>&nbsp;srcRow,
                              <a href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                 title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a>&nbsp;policy)</pre>
                                <div class="block">Copy the cells from srcRow to this row
                                    If this row is not a blank row, this will merge the two rows, overwriting
                                    the cells in this row with the cells in srcRow
                                    If srcRow is null, overwrite cells in destination row with blank values, styles, etc
                                    per cell copy policy
                                    srcRow may be from a different sheet in the same workbook
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>srcRow</code> - the rows to copy from</dd>
                                    <dd><code>policy</code> - the policy to determine what gets copied</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOutlineLevel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOutlineLevel</h4>
                                <pre>public&nbsp;int&nbsp;getOutlineLevel()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html#getOutlineLevel--">Row</a></code></span>
                                </div>
                                <div class="block">Returns the rows outline level. Increased as you
                                    put it into more groups (outlines), reduced as
                                    you take it out of them.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getOutlineLevel--">getOutlineLevel</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="shiftCellsRight-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>shiftCellsRight</h4>
                                <pre>public&nbsp;void&nbsp;shiftCellsRight(int&nbsp;firstShiftColumnIndex,
                            int&nbsp;lastShiftColumnIndex,
                            int&nbsp;step)</pre>
                                <div class="block">Shifts column range [firstShiftColumnIndex-lastShiftColumnIndex] step
                                    places to the right.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#shiftCellsRight-int-int-int-">shiftCellsRight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>firstShiftColumnIndex</code> - the column to start shifting</dd>
                                    <dd><code>lastShiftColumnIndex</code> - the column to end shifting</dd>
                                    <dd><code>step</code> - length of the shifting step</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="shiftCellsLeft-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>shiftCellsLeft</h4>
                                <pre>public&nbsp;void&nbsp;shiftCellsLeft(int&nbsp;firstShiftColumnIndex,
                           int&nbsp;lastShiftColumnIndex,
                           int&nbsp;step)</pre>
                                <div class="block">Shifts column range [firstShiftColumnIndex-lastShiftColumnIndex] step
                                    places to the left.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#shiftCellsLeft-int-int-int-">shiftCellsLeft</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>firstShiftColumnIndex</code> - the column to start shifting</dd>
                                    <dd><code>lastShiftColumnIndex</code> - the column to end shifting</dd>
                                    <dd><code>step</code> - length of the shifting step</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFRow.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFRow.html" target="_top">Frames</a></li>
        <li><a href="XSSFRow.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
